import { Mat4 } from '../../math/Mat4';
import { Vec3 } from '../../math/Vec3';
export declare class Sphere {
    applyMat4(mat: Mat4): void;
    center: Vec3;
    radius: number;
    constructor(center?: Vec3, radius?: number);
    setComponents(cx: number, cy: number, cz: number, radius: number): this;
    copy(sphere: Sphere): this;
    clone(): Sphere | undefined;
}
